de.esprit.common.gui

## Class ToolWindowAdapter

- java.lang.Object
- - de.esprit.common.gui.ToolWindowAdapter

- Direct Known Subclasses:
    ApplicationToolWindowAdapter

      public class ToolWindowAdapter
      extends java.lang.Object

  This class implements most of the common behavior of `ZDialog` and `ZFrame`
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ToolWindowAdapter(ToolWindow window)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ensurePacked()`
    `ToolWindow` | `getWindow()`
    `boolean` | `isLocated()`
    `boolean` | `isPacked()`
    `void` | `repack()` Runs a pack() as if it was the initial pack
    `void` | `setLocationRelativeTo(java.awt.Component comp, WindowAlignment alignment)`
    `void` | `shiftLocation(int deltaX, int deltaY)` Moves the frame on the screen by the given amount.
    `void` | `storeLocated()`
    `void` | `storePacked()` Overridden to store the minimum size for size control

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ToolWindowAdapter

          protected ToolWindowAdapter(ToolWindow window)

  - ### Method Detail

    - #### storeLocated

          public void storeLocated()

    - #### isLocated

          public boolean isLocated()

    - #### getWindow

          public ToolWindow getWindow()

    - #### setLocationRelativeTo

          public void setLocationRelativeTo(java.awt.Component comp,
                                   WindowAlignment alignment)

    - #### storePacked

          public void storePacked()

      Overridden to store the minimum size for size control

    - #### isPacked

          public boolean isPacked()

    - #### repack

          public void repack()

      Runs a pack() as if it was the initial pack

    - #### ensurePacked

          public void ensurePacked()

    - #### shiftLocation

          public void shiftLocation(int deltaX,
                           int deltaY)

      Moves the frame on the screen by the given amount. Borders are checked - so the frame will not move out of the screen area.

Copyright © 2014 EsprIT-Systems. All Rights Reserved.